template<typename Signature>
class test;

/**
 *	@brief Test.
**/
template<typename Res, typename... Args>
class test<Res(Args...)>
{
	public:
		/**
		 *	@brief Simple.
		**/
		void simple() {}

		/**
		 *	@copydoc simple()
		**/
		void simple2() {}

		/**
		 *	@brief Variadic.
		**/
		template<typename... Args2>
		void variadic(Args2&&... args) {}

		/**
		 *	@copydoc variadic(Args2&&...)
		**/
		template<typename... Args2>
		void variadic2(Args2&&... args) {}
};
